summaryrefslogtreecommitdiff
path: root/gold/testsuite/pr12826.sh
diff options
context:
space:
mode:
authorDoug Kwan <dougkwan@google.com>2011-06-01 19:59:42 +0000
committerDoug Kwan <dougkwan@google.com>2011-06-01 19:59:42 +0000
commitf62a3ca73197039811735a77ba091b329cf57d2e (patch)
tree5f93ac0d064d93a94098fc71f80698d267ea3ef3 /gold/testsuite/pr12826.sh
parent4b819e1f6e40e09d3d2b73b76afa007b842b3857 (diff)
downloadbinutils-gdb-f62a3ca73197039811735a77ba091b329cf57d2e.tar.gz
2011-05-31 Doug Kwan <dougkwan@google.com>
Asier Llano PR gold/12826 * arm.cc (Target_arm::tag_cpu_arch_combine): Fix handling of arch value that equals to elfcpp::MAX_TAG_CPU_ARCH. * testsuite/Makefile.am: (MOSTLYCLEANFILES): Clean up. Remove redundant arm_exidx_test.so. * testsuite/Makefile.in: Regenerate. (check_SCRIPTS): Add pr12826.sh (check_DATA): Add pr12826.stdout (pr12826.stdout, pr12826.so, pr12826_1.o, pr12826_2.o): New rules. * testsuite/pr12826.sh: New file. * testsuite/pr12826_1.s: Ditto. * testsuite/pr12826_1.s: Ditto.
Diffstat (limited to 'gold/testsuite/pr12826.sh')
-rwxr-xr-xgold/testsuite/pr12826.sh44
1 files changed, 44 insertions, 0 deletions
diff --git a/gold/testsuite/pr12826.sh b/gold/testsuite/pr12826.sh
new file mode 100755
index 00000000000..a4fa2e3afc1
--- /dev/null
+++ b/gold/testsuite/pr12826.sh
@@ -0,0 +1,44 @@
+#!/bin/sh
+
+# pr12826.sh -- a test case for combining ARM arch attributes.
+
+# Copyright 2011 Free Software Foundation, Inc.
+# Written by Doug Kwan <dougkwan@google.com>.
+
+# This file is part of gold.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston,
+# MA 02110-1301, USA.
+
+# This file goes with pr12826_1.s and pr12826_2.s, two ARM assembly source
+# files constructed to test handling of arch attributes.
+
+check()
+{
+ if ! grep -q "$2" "$1"
+ then
+ echo "Did not find attribute in $1:"
+ echo " $2"
+ echo ""
+ echo "Actual attribute below:"
+ cat "$1"
+ exit 1
+ fi
+}
+
+# Check that arch is armv7e-m.
+check pr12826.stdout "Tag_CPU_arch: v7E-M"
+
+exit 0